muck Posted May 27, 2021 Posted May 27, 2021 How do I draw and arc length of 24 at a radious of 32.87? Thank you, Quote
BIGAL Posted May 27, 2021 Posted May 27, 2021 Just look at Help this is from Bricscad the option you want is there. Quote
paulmcz Posted May 29, 2021 Posted May 29, 2021 Draw a horizontal line 32.87 units long or longer. Copy the line on itself. Rotate one of the line by result of 24*360/2/pi/32.87 (= 41.83446°), with left endpoint as a base point of rotation. Draw circle with center at left endpoint of horizontal line, radius 32.87. Trim off larger portion of the circle by the two lines. Erase the two lines and check the arc properties Quote
eldon Posted May 29, 2021 Posted May 29, 2021 For me it would be quicker to draw the circle with radius 32.87, break the circle and then use Lengthen to get to the arc length of 24. 1 Quote
Electronico Posted June 2, 2021 Posted June 2, 2021 One could draw an arc with End and Radius options. Like so: Command: a ARC Arc creation direction: Counter-clockwise (hold Ctrl to switch direction). Specify start point of arc or [Center]: Specify second point of arc or [Center/End]: e Specify end point of arc: Specify center point of arc or [Angle/Direction/Radius]: r Specify radius of arc: 32.87 Then use LENGTHEN command as noted above. Like so: Command: leg LENGTHEN Select an object or [DElta/Percent/Total/DYnamic]: t Specify total length or [Angle] <1.000)>: 24 Select an object to change or [Undo]: Quote
devitg Posted December 11, 2022 Posted December 11, 2022 My hard way to do it ;;;;;;;;*//*/*/*/*/*/*/*/*/*/*/*/*/**/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/ ;; Design by Gabo CALOS DE VIT from CORDOBA ARGENTINA ;;; Copyleft 1995-2022 by Gabriel Calos De Vit ; DEVITG@GMAIL.COM ;; ; Hecho por Gabo CALOS DE VIT de CORDOBA ARGENTINA ;;; Copyleft 1995-2022 por Gabriel Calos De Vit ;; DEVITG@GMAIL.COM ;initian ;;; inicio-defun ;;************************************************************ ;;************************************************************* ;;*//*/*/*/*/*/*/*/*/*/*/*/*/**/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/ ;;************************************************************ (defun int-vl (/ ACAD-OBJ ADOC MODEL ) (SETQ ACAD-OBJ (VLAX-GET-ACAD-OBJECT)) ;_ el programa ACAD (SETQ ADOC (VLA-GET-ACTIVEDOCUMENT ACAD-OBJ)) ;_ el DWG que esta abierto- (SETQ MODEL (VLA-GET-MODELSPACE ADOC)) (VL-LOAD-COM) ) ;;************************************************************ (DEFUN ARC-RAD-LENGHT (/ ANG-MID ANG1 ANG2 ARC- ARC-ANG-DIM ARC-ANGLE ARC-CENTER ARC-LENGTH ARC-MID-PT ARC-RAD ARC-RAD-DIM CONV DIM-ARC-LENGTH ENDPOINT OSMODE STARTPOINT ) (INT-VL) (SETQ OSMODE (GETVAR 'OSMODE)) (SETVAR 'OSMODE 312) ;osnap to NEArest (SETQ ARC-CENTER (GETPOINT "\n Click at acr Center")) ; (SETQ ARC-CENTER '(0 0 0)) (SETQ ARC-RAD 32.87) (SETQ ARC-LENGTH 24) (SETQ CONV (/ 180 PI)) ; 1 radian (SETQ ARC-ANGLE (/ ARC-LENGTH ARC-RAD)) (SETQ ANG1 (* PI 0.5)) (SETQ ANG2 (+ ANG1 ARC-ANGLE)) (SETQ ANG-MID (+ ANG1 (/ (- ANG2 ANG1) 2))) (SETQ ARC- (VLA-ADDARC MODEL (VLAX-3D-POINT ARC-CENTER) ARC-RAD ANG1 (+ ANG1 ARC-ANGLE))) (SETQ STARTPOINT (VLA-GET-STARTPOINT ARC-)) (SETQ ENDPOINT (VLA-GET-ENDPOINT ARC-)) (SETQ ARC-MID-PT (VLAX-3D-POINT (VLAX-CURVE-GETPOINTATPARAM ARC- ANG-MID))) (SETQ DIM-ARC-LENGTH (VLA-ADDDIMARC MODEL (VLAX-3D-POINT ARC-CENTER) STARTPOINT ENDPOINT ARC-MID-PT)) (SETQ ARC-RAD-DIM (VLA-ADDDIMRADIAL MODEL (VLAX-3D-POINT ARC-CENTER) ARC-MID-PT -2)) (SETQ ARC-ANG-DIM (VLA-ADDDIM3POINTANGULAR MODEL (VLAX-3D-POINT ARC-CENTER) STARTPOINT ENDPOINT (VLA-POLARPOINT (VLA-GET-UTILITY ADOC) ARC-MID-PT ANG-MID (/ ARC-RAD 5))) ) (VLA-PUT-TEXTPRECISION DIM-ARC-LENGTH ACDIMPRECISIONTWO) (VLA-PUT-TEXTPRECISION ARC-ANG-DIM ACDIMPRECISIONFOUR) (VLA-ZOOMEXTENTS ACAD-OBJ) (SETVAR 'OSMODE OSMODE) ) (DEFUN C:ARC-R-L () (ARC-RAD-LENGHT) ) ;|«Visual LISP© Format Options» (180 2 1 0 nil "end of " 100 20 2 2 nil nil T nil T) ;*** DO NOT add text below the comment! ***|; arc by rad and arc lenght.lsp arc by rad and arc length.dwg Quote
paulmcz Posted December 12, 2022 Posted December 12, 2022 (edited) Easy quick lisp (defun c:a12 (/ l r u ip) (setq l 24.0 r 32.87 ip (getpoint "\n Pick arc center point: ") u (/ l r) ) (entmake (list (cons 0 "ARC") (cons 10 ip) (cons 40 r) (cons 50 0) (cons 51 u) )) (princ) ) Edited December 12, 2022 by paulmcz Typo 1 Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.